Bug 205606 - SELinux error on startup
SELinux error on startup
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
Depends On:
  Show dependency treegraph
Reported: 2006-09-07 11:58 EDT by Bill Nottingham
Modified: 2014-03-16 23:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Add /var/run/cluster to cman spec file. (448 bytes, patch)
2006-10-05 14:21 EDT, Ryan O'Hara
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2006-09-07 11:58:46 EDT
Description of problem:

Starting ccsd... audit(...): avc: denied { use } for pid=2074 comm="ccsd"
name="console" dev=tmpfs ino=747 scontext=system_u_system_r:ccs_t:s0
tcontext=system_u:system_r:init_t:s0 tclass=fd

Version-Release number of selected component (if applicable):

Comment 1 Ryan O'Hara 2006-10-05 11:53:37 EDT
Is this still a problem? I was able to start ccsd without any problem. Checked
audit log for any trace of ccsd being denied and found nothing.

Using Rawhide system with:


Comment 2 Bill Nottingham 2006-10-05 12:52:28 EDT
I get:

DLM (built Oct  2 2006 19:28:38) installed
GFS2 (built Oct  2 2006 19:29:17) installed
Lock_DLM (built Oct  2 2006 19:29:28) installed
audit(1160067158.195:5): avc:  denied  { create } for  pid=2622 comm="ccsd"
name="cluster" scontext=root:system_r:ccs_t:s0
tcontext=root:object_r:var_run_t:s0 tclass=dir

Comment 3 Daniel Walsh 2006-10-05 13:41:15 EDT
Ok I will update policy for this, but shouldn't /var/run/cluster be owned by the
ccs rpm package?  This would cause it's labeling to be correct on install and
not have to add policy rules.

Comment 4 Ryan O'Hara 2006-10-05 14:01:07 EDT
That sounds reasonable. I will take a look at the spec file for the cman rpm
(ccs is now part of cman package). I will add comments here if/when the spec
file changes.
Comment 5 Ryan O'Hara 2006-10-05 14:20:21 EDT
Added /var/run/cluster to cman spec file. Patch included.

Is this a problem for RHEL as well? We will need an equivalent change for that
as well.
Comment 6 Ryan O'Hara 2006-10-05 14:21:17 EDT
Created attachment 137836 [details]
Add /var/run/cluster to cman spec file.
Comment 7 Bill Nottingham 2006-10-05 16:55:55 EDT
Yes, RHEL5 would have the same issue.
Comment 8 Ryan O'Hara 2006-10-09 12:06:43 EDT
OK. If I am understanding the comments above, then it should be fixed with the
addition of /var/run/cluster to the spec file.
Comment 9 Daniel Walsh 2006-10-16 10:41:54 EDT
Comment 10 Bug Zapper 2008-04-03 14:11:11 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:49:55 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.